package co.id.datacomsolusindo.ipphonebridge

import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.messaging.simp.SimpMessagingTemplate
import org.springframework.scheduling.annotation.EnableScheduling
import org.springframework.scheduling.annotation.Scheduled
import org.springframework.stereotype.Component


@SpringBootApplication
@EnableScheduling
class IpPhoneBridgeApplication

fun main(args: Array<String>) {
    runApplication<IpPhoneBridgeApplication>(*args)
}

@Component
class ScheduledMessage(val template: SimpMessagingTemplate) {
    @Scheduled(fixedDelay = 1000)
    fun sendMessageToGreetings() {
        //template.convertAndSend("/topic/greetings", Greeting("Fire"))
        //val headers = HttpHeaders()

    }

}

object Singletons {
    val responseQue: MutableMap<String, ResponseObj> by lazy { mutableMapOf<String, ResponseObj>() }
    val requestInstance: MutableMap<String, RequestQue> by lazy { mutableMapOf<String, RequestQue>() }
}
